commit:     c8f12cd13a63a27485eafc9b511cba9b3f375ae2
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 15 02:21:12 2019 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Fri Nov 15 02:32:35 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c8f12cd1

media-libs/libexif-gtk: 0.4.0 version bump

Closes: https://bugs.gentoo.org/507760
Package-Manager: Portage-2.3.79, Repoman-2.3.18
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 media-libs/libexif-gtk/Manifest                 |  1 +
 media-libs/libexif-gtk/libexif-gtk-0.4.0.ebuild | 49 +++++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/media-libs/libexif-gtk/Manifest b/media-libs/libexif-gtk/Manifest
index 9c44ebc474b..3531d9c9898 100644
--- a/media-libs/libexif-gtk/Manifest
+++ b/media-libs/libexif-gtk/Manifest
@@ -1 +1,2 @@
 DIST libexif-gtk-0.3.5.tar.gz 396534 BLAKE2B 
7ec81dee28893e42a80541b8d3c4129375c9fad2fa8c0a2c2b416eaebb0885d82cde51c2a7844b541c9c55e0f7d16380befcaee83fd0782e37a03289c76fc0c3
 SHA512 
c4df800f7bcc04fb27638ba56d8bda3ea27afadc94fae792a59673cef867f29976376f1ca00da899a7b2176ddb6f3e53bfe770a86171428cebe68bd413861baf
+DIST libexif-gtk-0.4.0.tar.gz 452303 BLAKE2B 
3058d2b4c2b383569eb84af00102029300bb7d3afe05891201b29f60c314339b662ac3b0d5155457a3a255c370ed0141b4e9d394d9575fdcbbcb832c05ca3ef3
 SHA512 
32b85e3fd5c712c266a869ce54edcfc9e9e013ffcc35e71166304af9950fa3d6d6b1d3540aab3358e621ec95f929cd260b5e2aa4789aa238644bc9a9a0bc41bd

diff --git a/media-libs/libexif-gtk/libexif-gtk-0.4.0.ebuild 
b/media-libs/libexif-gtk/libexif-gtk-0.4.0.ebuild
new file mode 100644
index 00000000000..82267ea7fee
--- /dev/null
+++ b/media-libs/libexif-gtk/libexif-gtk-0.4.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+DESCRIPTION="GTK+ frontend to the libexif library (parsing, editing, and 
saving EXIF data)"
+HOMEPAGE="https://libexif.github.io/";
+SRC_URI="mirror://sourceforge/libexif/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~ia64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux 
~x86-solaris"
+IUSE="nls static-libs"
+
+BDEPEND="
+       virtual/pkgconfig
+"
+RDEPEND="
+       >=media-libs/libexif-0.6.12
+       x11-libs/gtk+:3
+"
+DEPEND="${RDEPEND}"
+
+DOCS=( ChangeLog NEWS README )
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-0.3.5-confcheck.patch
+       "${FILESDIR}"/${PN}-0.3.5-gtk212.patch
+)
+src_prepare() {
+       default
+       AT_M4DIR="m4" eautoreconf
+}
+
+src_configure() {
+       local myeconfargs=(
+               --with-gtk3
+               $(use_enable static-libs static)
+               $(use_enable nls)
+       )
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -type f -delete || die
+}

Reply via email to